Bug 186932 - Using IE with RHN causes "Security Information" dialog to appear
Summary: Using IE with RHN causes "Security Information" dialog to appear
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: rhn400
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Sridhar Radhakrishnan
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Keywords:
: 186089 (view as bug list)
Depends On: 187178
Blocks: 186000
TreeView+ depends on / blocked
 
Reported: 2006-03-27 15:46 UTC by Jesus M. Rodriguez
Modified: 2007-04-18 17:40 UTC (History)
6 users (show)

Fixed In Version: rhn4061
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 03:03:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error dialog (20.44 KB, image/png)
2006-03-27 15:50 UTC, Jesus M. Rodriguez
no flags Details

Description Jesus M. Rodriguez 2006-03-27 15:46:14 UTC
Description of problem:
Browsing ANY RHN page with IE, causes the Security Information dialog
to appear.

Version-Release number of selected component (if applicable):
406

How reproducible:


Steps to Reproduce:
1. Using an box with IE, browse to https://rhn.redhat.com
2. Security Information box is displayed
3. Click Yes to proceed
4. For every subsequent page, repeat steps 2 and 3.
  
Actual results:
Security Information box is displayed

Expected results:
Security Information box SHOULD NOT be displayed

Additional info:
The omniture code makes calls to http://www.redhat.com, instead of https.
It should be sufficient to hard code https since rhn forces HTTPS for all
requests.

sample urls: http://www.redhat.com/j/rh_omni_footer.js

Comment 1 Jesus M. Rodriguez 2006-03-27 15:50:18 UTC
Created attachment 126829 [details]
error dialog

Attachment contains the error dialog from ie.

Comment 3 Sridhar Radhakrishnan 2006-03-27 20:34:13 UTC
Changed the references to omniture scripts from http to https. Tested the same
on webdev using IE. No warnings found.

Comment 4 Vlady Zlatkin 2006-03-29 23:25:44 UTC
this should have been ON_QA after several qa pushes.

this bug passes in webqa

Comment 5 Todd Sanders 2006-03-30 15:26:08 UTC
*** Bug 186089 has been marked as a duplicate of this bug. ***

Comment 6 Vlady Zlatkin 2006-04-03 16:02:25 UTC
fails in stage

Comment 7 Sridhar Radhakrishnan 2006-04-03 17:11:12 UTC
1) Can you throw some light on the environment difference between QA and stage? 
2) Can you send me the URL so that i can reproduce the problem?
 


Comment 8 Vlady Zlatkin 2006-04-03 17:24:30 UTC
works in stage, i botched the stage push

Comment 9 Todd Warner 2006-04-05 03:03:45 UTC
all done! Shipped!


Note You need to log in before you can comment on or make changes to this bug.